import sqlite3

npc_db = sqlite3.connect("../npc_db")
cur = npc_db.cursor()

data = {
    "aarakocra":    [],
    "aasimar":      [],
    "bugbear":      ["Adams",
                    "Aldebourne",
                    "Alleine",
                    "Arthur",
                    "Aynesworth",
                    "Barrentyne",
                    "Berkhead",
                    "Berwyk",
                    "Bishop",
                    "Blondell",
                    "Boothe",
                    "Bowthe",
                    "Brampton",
                    "Brocksby",
                    "Browet",
                    "Brudenell",
                    "Burgh",
                    "Bushbury",
                    "Bushe",
                    "Chudderle",
                    "Chyrche",
                    "Covert",
                    "Cranford",
                    "Crispe",
                    "Cunnyngham",
                    "Dagworth",
                    "Dalison",
                    "Dawne",
                    "Denton",
                    "Edwards",
                    "Engleford",
                    "Erewaker",
                    "Ertham",
                    "Etton",
                    "Evrenden",
                    "Fane",
                    "Faylare",
                    "Freer",
                    "Frogenhall",
                    "Froste",
                    "Garneys",
                    "Glenham",
                    "Goberd",
                    "Grofhurst",
                    "Hackeman",
                    "Harwood",
                    "Hasard",
                    "Heron",
                    "Higden",
                    "Hoare",
                    "Holcot",
                    "Holsey",
                    "Hylderley",
                    "Joulon",
                    "Kekilpenny",
                    "Kent",
                    "Killigrew",
                    "Knevynton",
                    "Knyvet",
                    "Langstone",
                    "Latton",
                    "Launceleyn",
                    "Leynham",
                    "Lyttleburye",
                    "Marten",
                    "Molyngton",
                    "Motesfont",
                    "Norden",
                    "Norrys",
                    "Osteler",
                    "Peltie",
                    "Petham",
                    "Pray",
                    "Prelatte",
                    "Rowdon",
                    "Ryall",
                    "Seys",
                    "Sherbourne",
                    "Shevington",
                    "Skipwith",
                    "Sotton",
                    "Standon",
                    "Stokton",
                    "Symeon",
                    "Symons",
                    "Tilghman",
                    "Vaughan",
                    "Verney",
                    "Waldegrave",
                    "Waldeley",
                    "Wardrieu",
                    "Wayte",
                    "Whitewood",
                    "Willmer",
                    "Wyncall",
                    "Young"],
    "dragonborn":   [],
    "drow":         [],
    "dwarf":        ["Axebreaker",
                    "Battlebeard",
                    "Beardfist",
                    "Beardsmith",
                    "Blackbanner",
                    "Blackmountain",
                    "Bloodhammer",
                    "Bronzebeard",
                    "Bronzefist",
                    "Bronzehammer",
                    "Bronzesong",
                    "Drunkenfist",
                    "Firefist",
                    "Fireforge",
                    "Goldheart",
                    "Hammerbeard",
                    "Hammerfist",
                    "Hammerforge",
                    "Hammershield",
                    "Hammersmith",
                    "Ironaxe",
                    "Ironbeard",
                    "Ironblood",
                    "Ironbreaker",
                    "Ironeye",
                    "Ironfist",
                    "Ironflame",
                    "Ironhammer",
                    "Ironheart",
                    "Ironshield",
                    "Ironsong",
                    "Mountainforge",
                    "Sharpaxe",
                    "Silverforge",
                    "Silverhammer",
                    "Steelaxe",
                    "Steelheart",
                    "Stoneaxe",
                    "Stonebeard",
                    "Stonebreaker",
                    "Stonefist",
                    "Stoneheart",
                    "Stoneshield",
                    "Stoneskin",
                    "Stonesong",
                    "Strongarm",
                    "Strongaxe",
                    "Thunderfist",
                    "Thunderforge",
                    "Thunderhammer",
                    "Thundersong"],
    "elf":          [],
    "firlbolg":     [],  
    "genasi":       [],
    "gith":         [],
    "goblin":       [],
    "goliath":      [],
    "gnome":        [],
    "half-elf":     [],  
    "halfling":     [],  
    "half-orc":     [],
    "hobgoblin":    [],   
    "human":        [],
    "kenku":        [],
    "kobold":       [],
    "lizardfolk":   [],
    "orc":          [],
    "tabaxi":       [],
    "tiefling":     [],  
    "tortle":       ["Ashley",
                    "Atkinson",
                    "Baldwin",
                    "Ball",
                    "Baxter",
                    "Bell",
                    "Bennett",
                    "Black",
                    "Blake",
                    "Branch",
                    "Brown",
                    "Burke",
                    "Burns",
                    "Cameron",
                    "Carr",
                    "Castillo",
                    "Collins",
                    "Colon",
                    "Cooley",
                    "Cooper",
                    "Davidson",
                    "Davis",
                    "Dean",
                    "Delacruz",
                    "Dennis",
                    "Dixon",
                    "Edwards",
                    "Ellis",
                    "Evans",
                    "Fisher",
                    "Francis",
                    "Franco",
                    "Fuentes",
                    "Gardner",
                    "Gentry",
                    "Griffiths",
                    "Guy",
                    "Hardy",
                    "Hart",
                    "Hensley",
                    "Holder",
                    "Huber",
                    "Hunter",
                    "Jenkins",
                    "John",
                    "Kaur",
                    "Kerr",
                    "King",
                    "Kirkland",
                    "Knapp",
                    "Lowe",
                    "May",
                    "Mccarthy",
                    "Mcconnell",
                    "Mcdonald",
                    "Mckinney",
                    "Melton",
                    "Meyers",
                    "Miller",
                    "Mills",
                    "O'donnell",
                    "Parker",
                    "Pearce",
                    "Perkins",
                    "Poole",
                    "Porter",
                    "Powell",
                    "Reid",
                    "Richardson",
                    "Robinson",
                    "Rodriguez",
                    "Rose",
                    "Ross",
                    "Ryan",
                    "Sandoval",
                    "Scott",
                    "Shaffer",
                    "Short",
                    "Sloan",
                    "Stark",
                    "Thomas",
                    "Vazquez",
                    "Walter",
                    "Ward",
                    "Washington",
                    "Webb",
                    "Wells",
                    "Wilkinson",
                    "Wilson",
                    "Woods"],
    "triton":       []
}

for race in data:
    for surname in data[race]:
        cur.execute("INSERT INTO npc_surname (race, surname) VALUES (?, ?);", (race, surname))
        npc_db.commit()